<?php

/***
   default avreg-site options, overriden by main avreg.conf
   !!! DON'T CHANGE THIS FILE,
   !!! USE "avreg-site { ... }" section in avreg.conf INSTEAD
   !!! for example
      "$conf['debug'] = true" setting in this file is equal to
      avreg-site {
         ...
         debug = true
      }
***/

/* debug options, verbose error log to apache log, NEVER SET THIS OPTIONS */
$conf['debug']=false;

/* Auth */
$conf['auth-timeout'] = 1; // in second, before repeated 401 and all 403
$conf['max-401-per-session'] = 3;
$conf['ExternalAuthMap'] = NULL;

/* database options */
$conf['db-type']=''; // mysql or pgsql, mysql by-default
$conf['db-host']=NULL; // local access through unix socket
$conf['db-port']=NULL;
$conf['db-name']='avreg6_db';
$conf['db-user']='see in secret file avreg-site.secret';
$conf['db-passwd']='see in secret file avreg-site.secret';

/* dirs */
$conf['site-dir'] = '/usr/share/avreg-site'; // This option cannot overriden!
$conf['conf-dir'] = '/etc/avreg';
$conf['profiles-dir'] = $conf['conf-dir'].'/profiles';
$conf['customize-dir'] = $conf['conf-dir'].'/www-customize';
$conf['scripts-dir'] = $conf['conf-dir'].'/scripts';
$conf['storage-dir'] = '/var/spool/avreg';
$conf['root'] = '/var/lib/avreg';
$conf['masks-dir'] = $conf['root'].'/masks';
$conf['tmp-dir'] = '/tmp';
if ( '' != ini_get('upload_tmp_dir') ) {
    $conf['upload-dir'] = ini_get($upload_tmp_dir);
} else {
    $conf['upload-dir'] = &$conf['tmp-dir'];
}

/* prefix & alias */
$conf['prefix'] = '/avreg';
$conf['media-alias'] = '/media';
$conf['docs-prefix']='http://linuxdvr.ru/rus/docs/';

$conf['murl-pre-nix']=array();
$conf['murl-pre-win']=array();
$conf['murl-pre-other']=array();

/* live cameras surveillance */
$conf['devlist'] = '';
$conf['http-port'] = 874;
$conf['rtsp-port'] = 8554;
$conf['avregd-httpd'] = 'http://$_SERVER[SERVER_NAME]:874';
$conf['avregd-httpd-paths'] = array(
    'mjpeg' => '/avreg-cgi/mjpg/video.cgi?camera=%d',
    'mjpeg-control' => '/avreg-cgi/mjpg/control.cgi?camera=%d&connection=close',
    'jpeg' => '/avreg-cgi/jpg/image.cgi?camera=%d&connection=close',
    'hls' => '/hls/%d/master.m3u8',
    'rec' => '/avreg-cgi/operator/rec.cgi?camera=%d&connection=close'
);

/* files */
$conf['ps'] = '/bin/ps';
$conf['rm'] = '/bin/rm';
$conf['ip'] = '/bin/ip';
$conf['df'] = '/bin/df';
$conf['sudo'] = '/usr/bin/sudo -n';
$conf['djpeg'] = '/usr/bin/djpeg';
$conf['tail'] = '/usr/bin/tail';
$conf['grep'] = '/bin/grep --text';
$conf['iostat'] = '/usr/bin/iostat';
$conf['crond'] = '/etc/init.d/cron';

$conf['daemon'] = 'service avreg';
$conf['daemon-log'] = file_exists('/var/log/daemon.log')  ? '/var/log/daemon.log' : '/var/log/syslog';
$conf['daemon-name'] = 'avregd';

$conf['report-bug'] = '/usr/bin/avreg-reportbug';
$conf['on-http-notify'] = $conf['site-dir'].'/on-http-notify.inc.php';

$conf['removed-manually'] = 'removed-manually.txt';

# other */
$conf['warn-disk-free'] = 2;

$conf['server-name'] = 'My videoserver';
$conf['key'] = '';
$conf['admin-name'] = '';
$conf['admin-mail'] = '';
$conf['admin-tel']  = '';

$conf['camname-opts'] = array(
    'prepend-number' => true,
    'maxlen' => 23
);

/* Cellular interface "avreg/cellular" */
$conf['cellular'] = array(
    'resolutions' => '160x120, 320x240, fs, 1:1',
    'links-per-page' => 10,  // i.e. record session list cell/offline.php
    'thumb-image-width' => 160, // in pixels
    'jpeg-quality' => 85,  // in percent for resize
    'thumb-image-max-age' => 3600*24*7, // 7 day, use in Cache-Control/Expiries/If-Modified-Since
    'thumb-image-per-page' => 5
);
/* aplayer*/
$conf['aplayerConfig'] = array();

/* online/* */
$conf['online-stream-inactive-timeout'] = 5; // in second, disable checking if 0
$conf['online-reconnect-timeout']   = 7;     // default reconnect interval in second

/* offline/* */
$conf['recordable-cams'] = '';

/* offline Gallery */
$conf['gallery-limit']                = 500;
$conf['gallery-min_cell_width']       = 198;
$conf['gallery-min_cell_height']      = 198;
$conf['ajax_timeout']                 =  15; // in sec
$conf['gallery-update_tree_timeout']  =  45; // in sec
?>
