Apache2: Virtual HOST based конфигурация AVReg
==============================================

**Цель: получить доступ к веб-интерфейсу AVReg по адресу <http://avreg.host.name> без префикса "/avreg".**

Настройками используемого сервера в вашей сети DNS-сервера или локальными настройками HOSTS(5) обеспечьте доменное имя сервера, которое будет использоваться в URL при доступе к веб-интерфейсу AVReg.

В простейшем случае, для этого руководства мы воспользовались HOSTS(5), просто добавив строку в файл /etc/hosts

    192.168.54.61    avreg.host.name avreg

Примечание: для правильного изменения единственного хост-имени сервера читайте это руководство <https://www.cyberciti.biz/faq/how-to-change-hostname-on-debian-10-linux/>

Итак, хост-имя или ServerName (в контексте настроек Apache2) для настоящего руководства "avreg.host.name". Копируя и применяя тексты примеров ниже, замените это хост-имя на то, которое будете использоваться вы.

Отключите дефолтную Alias-based конфигурацию AVReg для Apache2.

    sudo a2disconf avreg

Удалите не нужный более псевдоним (alias) "/avreg"

    sudoedit /etc/avreg/site-apache2-user.conf

найдите строки:

    Alias '/avreg/media' '/var/spool/avreg'
    Alias '/avreg' '/usr/share/avreg-site'

и замените на эти 2 строки (вторая строка просто комментируется)

    Alias '/media' '/var/spool/avreg'
    # Alias '/avreg' '/usr/share/avreg-site'

Также использование префикса "/avreg" нужно запретить в настройках AVReg. Для этого откройте в редакторе основной конфиг-файл "avreg.conf":

    sudoedit /etc/avreg/avreg.conf

найдите в нём секцию настроек веб-интерфейса "avreg-site" и добавьте в начало параметр "prefix" с пустым значением. Должно получиться примерно так:

    avreg-site {
       prefix = ""
       ...
    }

Cоздайте Virtual Host конфигурацию Apache2 для веб-интерфейса AVReg создав в редакторе новый конфиг-файл "003-avreg-vhost.conf":

    sudoedit /etc/apache2/sites-available/003-avreg-vhost.conf

и поместив туда следующее содержимое:

    <VirtualHost *:80>
        ServerName avreg.host.name

        ServerAdmin avreg@avreg.net
        DocumentRoot /usr/share/avreg-site

        ErrorLog ${APACHE_LOG_DIR}/error-avreg.log
        CustomLog ${APACHE_LOG_DIR}/access-avreg.log combined

        Include conf-available/avreg.conf
    </VirtualHost>

Подключите конфигурацию виртуального сервера с хост-именем "avreg.host.name" и перегрузите apache2:

    sudo a2ensite 003-avreg-vhost
    sudo systemctl reload apache2

Проверьте работу открыв в браузере URL <http://avreg.host.name>
